GNU bug report logs - #27581
26.0.50; Error while compiling new Org code

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Monnier <monnier@HIDDEN>; dated Wed, 5 Jul 2017 00:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 23:19:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 05 19:19:34 2017
Received: from localhost ([127.0.0.1]:53884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSta2-0000Qn-C2
	for submit <at> debbugs.gnu.org; Wed, 05 Jul 2017 19:19:34 -0400
Received: from chene.dit.umontreal.ca ([132.204.246.20]:34446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1dStZz-0000Qf-QI
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 19:19:33 -0400
Received: from ceviche.home (lechon.iro.umontreal.ca [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.7/8.14.1) with ESMTP id v65NJTts017429;
 Wed, 5 Jul 2017 19:19:29 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id 5C88A66273; Wed,  5 Jul 2017 19:19:29 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
Message-ID: <jwvbmoywjzo.fsf-monnier+emacsbugs@HIDDEN>
References: <jwvh8yrog2b.fsf@ceviche> <87van7hf00.fsf@HIDDEN>
 <jwv60f7zodw.fsf-monnier+emacsbugs@HIDDEN>
 <jwvzicjy9dw.fsf-monnier+emacsbugs@HIDDEN>
 <907ezm6445.fsf@HIDDEN>
Date: Wed, 05 Jul 2017 19:19:29 -0400
In-Reply-To: <907ezm6445.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 05 Jul 2017 16:06:02 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.1
X-NAI-Spam-Rules: 3 Rules triggered
	TRK_NCM1=0.1, EDT_SA_DN_PASS=0, RV6064=0
X-NAI-Spam-Version: 2.3.0.9418 : core <6064> : inlines <5963> : streams
 <1752934> : uri <2456857>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> Hmm... I see that org-loaddefs is only loaded at run-time and not at
>> compile-time, so removing the declare-function leads to a warning.
>> Now I also wonder why org-loaddefs is not loaded during compilation.
> Probably an unintended consequence of
> http://orgmode.org/cgit.cgi/org-mode.git/commit/lisp/org.el?h=maint&id=f36b19e

Hmm... that doesn't look like it: the previous code used just
a top-level (load ...) which wasn't run during compilation either.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 20:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 05 16:09:15 2017
Received: from localhost ([127.0.0.1]:53762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSqbr-0004VY-Es
	for submit <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:09:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1dSqbq-0004VN-34
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:09:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1dSqbk-0007Ak-3j
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:09:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38844)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1dSqbh-0007A5-EZ; Wed, 05 Jul 2017 16:09:05 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1dSqbh-0002hj-2L; Wed, 05 Jul 2017 16:09:05 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
References: <jwvh8yrog2b.fsf@ceviche> <2ubmoy6468.fsf@HIDDEN>
X-Spook: ATF MD5 SRI Attorney General Hamas ASPIC Erosion Reno
X-Ran: ^0A,$|;)P@\2b/jj(v/n-1.0d"[~i4)\K6RVCeQ`<s169l~CB!0xrsampKtH~}|<-C3"*b
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 05 Jul 2017 16:09:04 -0400
In-Reply-To: <2ubmoy6468.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 05 Jul 2017 16:04:47 -0400")
Message-ID: <n8tk28x3z.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Glenn Morris wrote:

> I would guess it's for installing a newer Org than your Emacs
> installation came with, from which point of view the org.el that came
> with Emacs isn't under (y)our control.

Bah, I think that's nonsense, ignore me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 20:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 05 16:06:22 2017
Received: from localhost ([127.0.0.1]:53758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSqZ4-0004RY-1O
	for submit <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:06:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1dSqZ2-0004RM-Kh
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:06:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1dSqYw-0006Tf-R7
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:06:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38813)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1dSqYl-0006Ni-DK; Wed, 05 Jul 2017 16:06:03 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1dSqYk-00011w-Vo; Wed, 05 Jul 2017 16:06:03 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
References: <jwvh8yrog2b.fsf@ceviche> <87van7hf00.fsf@HIDDEN>
 <jwv60f7zodw.fsf-monnier+emacsbugs@HIDDEN>
 <jwvzicjy9dw.fsf-monnier+emacsbugs@HIDDEN>
X-Spook: unclassified Power lines Clinton Mexican army Drill
X-Ran: M}Sig=0wpu7R[ry|;,i8l5,*X`f<65|3b-vrb%ep,Xru\?rlqAUQ@P@&/;2C7B&PPi|6MY
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 05 Jul 2017 16:06:02 -0400
In-Reply-To: <jwvzicjy9dw.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 04 Jul 2017 21:13:18 -0400")
Message-ID: <907ezm6445.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Stefan Monnier wrote:

> Hmm... I see that org-loaddefs is only loaded at run-time and not at
> compile-time, so removing the declare-function leads to a warning.
> Now I also wonder why org-loaddefs is not loaded during compilation.

Probably an unintended consequence of

http://orgmode.org/cgit.cgi/org-mode.git/commit/lisp/org.el?h=maint&id=f36b19e




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 20:04:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 05 16:04:58 2017
Received: from localhost ([127.0.0.1]:53754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSqXi-0004PK-Oj
	for submit <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:04:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1dSqXh-0004P5-Ba
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:04:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1dSqXb-0005Wt-FH
 for 27581 <at> debbugs.gnu.org; Wed, 05 Jul 2017 16:04:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38798)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1dSqXY-0005Wa-2L; Wed, 05 Jul 2017 16:04:48 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1dSqXX-0006o8-LD; Wed, 05 Jul 2017 16:04:47 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
References: <jwvh8yrog2b.fsf@ceviche>
X-Spook: ANDVT Antiviral quarter AFSPC Operation Iraqi Freedom SRI
X-Ran: KJ"&.R57pJS)<b{5fX?Md<J+nn:L.i"/OyZ]&"VwUalUl:OT8d_zzvP'.@>+]d\Rw?\5(/
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 05 Jul 2017 16:04:47 -0400
Message-ID: <2ubmoy6468.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Stefan Monnier wrote:

> Not sure which is the right fix, but I do wonder why have this
> eval-after-load in org-compat.el instead of simply moving the code to
> org.el: eval-after-load is normally only used when we need to add code
> to a file that's not under our control.

I would guess it's for installing a newer Org than your Emacs
installation came with, from which point of view the org.el that came
with Emacs isn't under (y)our control.

(BTW, reporting Org issues to bug-gnu-emacs, rather than their own mailing
list, is generally unproductive AFAICS.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 01:13:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 04 21:13:21 2017
Received: from localhost ([127.0.0.1]:52761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSYsb-0004aN-Cc
	for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 21:13:21 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:55136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1dSYsa-0004aG-5D
 for 27581 <at> debbugs.gnu.org; Tue, 04 Jul 2017 21:13:20 -0400
Received: from ceviche.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.7/8.14.1) with ESMTP id v651DIjw021040;
 Tue, 4 Jul 2017 21:13:19 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id AB07166273; Tue,  4 Jul 2017 21:13:18 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
Message-ID: <jwvzicjy9dw.fsf-monnier+emacsbugs@HIDDEN>
References: <jwvh8yrog2b.fsf@ceviche> <87van7hf00.fsf@HIDDEN>
 <jwv60f7zodw.fsf-monnier+emacsbugs@HIDDEN>
Date: Tue, 04 Jul 2017 21:13:18 -0400
In-Reply-To: <jwv60f7zodw.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 04 Jul 2017 21:04:17 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 2 Rules triggered
	EDT_SA_DN_PASS=0, RV6063=0
X-NAI-Spam-Version: 2.3.0.9418 : core <6063> : inlines <5963> : streams
 <1752803> : uri <2456189>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> I think I hit this, and doing 'make autoloads' fixed it.
> Duh, indeed, so the `declare-function` should be removed.

Hmm... I see that org-loaddefs is only loaded at run-time and not at
compile-time, so removing the declare-function leads to a warning.
Now I also wonder why org-loaddefs is not loaded during compilation.

> Remains my question about the use of eval-after-load.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 01:04:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 04 21:04:22 2017
Received: from localhost ([127.0.0.1]:52756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSYju-0004LB-Ft
	for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 21:04:22 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:54964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1dSYjs-0004L2-4e
 for 27581 <at> debbugs.gnu.org; Tue, 04 Jul 2017 21:04:20 -0400
Received: from ceviche.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.7/8.14.1) with ESMTP id v6514HdB020811;
 Tue, 4 Jul 2017 21:04:18 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id B5CE266273; Tue,  4 Jul 2017 21:04:17 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
Message-ID: <jwv60f7zodw.fsf-monnier+emacsbugs@HIDDEN>
References: <jwvh8yrog2b.fsf@ceviche> <87van7hf00.fsf@HIDDEN>
Date: Tue, 04 Jul 2017 21:04:17 -0400
In-Reply-To: <87van7hf00.fsf@HIDDEN> (npostavs's message of
 "Tue, 04 Jul 2017 21:03:11 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.1
X-NAI-Spam-Rules: 3 Rules triggered
 GEN_SPAM_FEATRE=0.1, EDT_SA_DN_PASS=0, RV6063=0
X-NAI-Spam-Version: 2.3.0.9418 : core <6063> : inlines <5963> : streams
 <1752801> : uri <2456185>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> I think I hit this, and doing 'make autoloads' fixed it.

Duh, indeed, so the `declare-function` should be removed.
Remains my question about the use of eval-after-load.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at 27581 <at> debbugs.gnu.org:


Received: (at 27581) by debbugs.gnu.org; 5 Jul 2017 01:01:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 04 21:01:44 2017
Received: from localhost ([127.0.0.1]:52750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSYhM-0004Gh-1R
	for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 21:01:44 -0400
Received: from mail-io0-f171.google.com ([209.85.223.171]:33493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dSYhK-0004GU-Be
 for 27581 <at> debbugs.gnu.org; Tue, 04 Jul 2017 21:01:42 -0400
Received: by mail-io0-f171.google.com with SMTP id h64so78046142iod.0
 for <27581 <at> debbugs.gnu.org>; Tue, 04 Jul 2017 18:01:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=GNZ333PFWTyn8TdCyIB1arkU/OlAjWZMrOnu6WIeHXg=;
 b=dOisvkHfzod6LZqtvyalOKk/CSY1njORd1xwvRdzB8smtPLkWq54nCfAstw9YtC3Ln
 ZnOE2fkLRj+BHUUe7+UqUtEA/D/I5gcSiqW7VWVPU5R9GiDHPBRgz4HeYQuw0nsU8k5S
 4p2JHrKd9edOZGakVO4JQ4YBzIIDHGMbngmlpnKkgKp/WanACBFlXcizUygQFcEorpAc
 jQmGhC79EnF9V4HvDHw/Gg+kAN79IQjMlIPUSYfpSyg0sCZMgLHrVBnrZqxtTTtAkr4R
 uLsLDbxFdKoqT/kYnSvWxymLoXeb267oIgwUVjMrtnuRkuLx9e2J8J3mjsDDPTCZ939H
 C/JQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=GNZ333PFWTyn8TdCyIB1arkU/OlAjWZMrOnu6WIeHXg=;
 b=gofyi5PCZE3j6j+pD+EBmOU5zAsMF5WkJYw7N6lw1UT4qOrU8QZMwc3h8rKzgf1lrX
 jZ6BCXMEILmA5MwFzQucoWGDaFpldjIdviBSpoJfJObiDMZcfbiL+5Npv9h5CCGCkSFM
 QSb3BXfloqnlDMm2YkVi3pRYTeszLJbDJxghMAFsvsggWQSSCwwnafRmhe/Y7b8vZ0cz
 /u2uxVUm/T2xGV9pVazkP5bJey4xuLfPQEzonvB9YMvEo+QBkxVlDxe4C3yxvt27ZtDD
 l0/qYV+JMpGVMFKbGPkpesEoZR4368SM1KChTvK8vZQq7TleKQ9aCJUn0wpGMSXv/02X
 F22A==
X-Gm-Message-State: AKS2vOwc8vCyyockA0RBWPLPdUhG7rbKl6542ZbsH/MH3FPORRosXuNs
 6wab+VIbiqcCv9sH
X-Received: by 10.107.15.80 with SMTP id x77mr24712291ioi.2.1499216496517;
 Tue, 04 Jul 2017 18:01:36 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id c4sm5258617ioc.18.2017.07.04.18.01.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 04 Jul 2017 18:01:36 -0700 (PDT)
From: npostavs@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code
References: <jwvh8yrog2b.fsf@ceviche>
Date: Tue, 04 Jul 2017 21:03:11 -0400
In-Reply-To: <jwvh8yrog2b.fsf@ceviche> (Stefan Monnier's message of "Tue, 04
 Jul 2017 20:58:20 -0400")
Message-ID: <87van7hf00.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 27581
Cc: 27581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Stefan Monnier <monnier@HIDDEN> writes:

> Package: Emacs
> Version: 26.0.50
>
>
> When building Emacs's master branch I get errors like:
>
>       ELC      org/org-archive.elc
>=20=20=20=20=20
>     In toplevel form:
>     org/org-archive.el:31:1:Error: Symbol=E2=80=99s function definition i=
s void: org-element-update-syntax
>     Makefile:297=C2=A0: la recette pour la cible =C2=AB=C2=A0org/org-arch=
ive.elc=C2=A0=C2=BB a =C3=A9chou=C3=A9e

I think I hit this, and doing 'make autoloads' fixed it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jul 2017 00:58:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 04 20:58:40 2017
Received: from localhost ([127.0.0.1]:52741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dSYeN-0004A7-Rn
	for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 20:58:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1dSYeK-00049s-F2
 for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 20:58:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1dSYeD-0004PU-Ef
 for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 20:58:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48539)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <monnier@HIDDEN>)
 id 1dSYeD-0004OY-Ak
 for submit <at> debbugs.gnu.org; Tue, 04 Jul 2017 20:58:29 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50556)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1dSYeB-0002Tg-EA
 for bug-gnu-emacs@HIDDEN; Tue, 04 Jul 2017 20:58:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1dSYe8-00045l-9s
 for bug-gnu-emacs@HIDDEN; Tue, 04 Jul 2017 20:58:27 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:37191)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1dSYe8-0003yO-37
 for bug-gnu-emacs@HIDDEN; Tue, 04 Jul 2017 20:58:24 -0400
Received: from ceviche.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.7/8.14.1) with ESMTP id v650wKfF020591
 for <bug-gnu-emacs@HIDDEN>; Tue, 4 Jul 2017 20:58:21 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id 2773166273; Tue,  4 Jul 2017 20:58:20 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; Error while compiling new Org code
Date: Tue, 04 Jul 2017 20:58:20 -0400
Message-ID: <jwvh8yrog2b.fsf@ceviche>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.3
X-NAI-Spam-Rules: 5 Rules triggered
 BEC_TRC1=0.1, BEC_TRC1_W_GEN_SPAM_FEATRE=0.1, GEN_SPAM_FEATRE=0.1, 
 EDT_SA_DN_PASS=0, RV6063=0
X-NAI-Spam-Version: 2.3.0.9418 : core <6063> : inlines <5963> : streams
 <1752801> : uri <2456182>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Package: Emacs
Version: 26.0.50


When building Emacs's master branch I get errors like:

      ELC      org/org-archive.elc
=20=20=20=20
    In toplevel form:
    org/org-archive.el:31:1:Error: Symbol=E2=80=99s function definition is =
void: org-element-update-syntax
    Makefile:297=C2=A0: la recette pour la cible =C2=AB=C2=A0org/org-archiv=
e.elc=C2=A0=C2=BB a =C3=A9chou=C3=A9e

The corresponding stack trace looks like:

    Debugger entered--Lisp error: (void-function org-element-update-syntax)
      (org-element-update-syntax)
      (if data (setcdr data (org-combine-plists (cdr data) parameters)) (se=
tq org-link-parameters (cons (cons type parameters) org-link-parameters)) (=
org-make-link-regexps) (org-element-update-syntax))
      (let ((data (assoc type org-link-parameters))) (if data (setcdr data =
(org-combine-plists (cdr data) parameters)) (setq org-link-parameters (cons=
 (cons type parameters) org-link-parameters)) (org-make-link-regexps) (org-=
element-update-syntax)))
      org-link-set-parameters("file+emacs")
      (progn (org-link-set-parameters "file+emacs") (org-link-set-parameter=
s "file+sys"))
      (closure (org-table1-hline-regexp org-table-tab-recognizes-table\.el =
org-table-dataline-regexp org-table-any-border-regexp t) nil (progn (org-li=
nk-set-parameters "file+emacs") (org-link-set-parameters "file+sys")))()
      eval-after-load-helper("/home/monnier/src/emacs/trunk/lisp/org/org.el=
")
      run-hook-with-args(eval-after-load-helper "/home/monnier/src/emacs/tr=
unk/lisp/org/org.el")
      do-after-load-evaluation("/home/monnier/src/emacs/trunk/lisp/org/org.=
el")
      load-with-code-conversion("/home/monnier/src/emacs/trunk/lisp/org/org=
.el" "/home/monnier/src/emacs/trunk/lisp/org/org.el" nil t)
      require(org)

So it's triggered during the evaluation of org-compat.el's after-load:

    (eval-after-load 'org
      '(progn
         (org-link-set-parameters "file+emacs") ;since Org 9.0
         (org-link-set-parameters "file+sys"))) ;since Org 9.0

There's a (declare-function org-element-update-syntax ...) in org.el but
it looks like org-element is not loaded in this case.

Not sure which is the right fix, but I do wonder why have this
eval-after-load in org-compat.el instead of simply moving the code to
org.el: eval-after-load is normally only used when we need to add code
to a file that's not under our control.


        Stefan



In GNU Emacs 26.0.50 (build 1, x86_64-unknown-linux-gnu, GTK+ Version 2.24.=
31)
 of 2017-06-28 built on ceviche
Repository revision: 5ca96e5cef1a562dbafc0b14ce6ef0f3362a7be6
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description:	Debian GNU/Linux testing (buster)

Recent messages:
Saving file /home/monnier/share/misc/recettes...
Wrote /home/monnier/share/misc/recettes
Saving file /home/monnier/share/misc/recettes...
Wrote /home/monnier/share/misc/recettes
Quit
Mark saved where search started
Appended 9 songs
Appended 12 songs
Set MPD volume to 80%
Set MPD volume to 85%

Configured using:
 'configure -C --enable-checking --with-modules --enable-check-lisp-object-=
type
 'CFLAGS=3D-Wall -g3 -Og -Wno-pointer-sign'
 PKG_CONFIG_PATH=3D/home/monnier/lib/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GSETTINGS NOTIFY GNUTLS
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11
MODULES

Important settings:
  value of $LANG: fr_CH.UTF-8
  locale-coding-system: utf-8-unix

Major mode: InactiveMinibuffer

Minor modes in effect:
  diff-auto-refine-mode: t
  electric-pair-mode: t
  global-reveal-mode: t
  reveal-mode: t
  auto-insert-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  global-compact-docstrings-mode: t
  url-handler-mode: t
  cl-old-struct-compat-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/monnier/src/emacs/elpa/packages/svg/svg hides /home/monnier/src/emacs=
/work/lisp/svg
/home/monnier/src/emacs/elpa/packages/ada-mode/ada-xref hides /home/monnier=
/src/emacs/work/lisp/progmodes/ada-xref
/home/monnier/src/emacs/elpa/packages/ada-mode/ada-mode hides /home/monnier=
/src/emacs/work/lisp/progmodes/ada-mode
/home/monnier/src/emacs/elpa/packages/ada-mode/ada-stmt hides /home/monnier=
/src/emacs/work/lisp/progmodes/ada-stmt
/home/monnier/src/emacs/elpa/packages/ada-mode/ada-prj hides /home/monnier/=
src/emacs/work/lisp/progmodes/ada-prj
/home/monnier/src/emacs/elpa/packages/hyperbole/set hides /home/monnier/src=
/emacs/work/lisp/emacs-lisp/set
/home/monnier/src/emacs/elpa/packages/landmark/landmark hides /home/monnier=
/src/emacs/work/lisp/obsolete/landmark
/home/monnier/src/emacs/elpa/packages/crisp/crisp hides /home/monnier/src/e=
macs/work/lisp/obsolete/crisp

Features:
(mail-extr emacsbug message subr-x puny dired dired-loaddefs format-spec
rfc822 mml mml-sec gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils sort mpc cl-print
epa-file epa derived epg view cal-china lunar solar cal-dst cal-bahai
cal-islam cal-hebrew holidays hol-loaddefs cal-french diary-lib
diary-loaddefs cal-move cal-menu calendar cal-loaddefs executable
copyright whitespace vc vc-dispatcher misearch multi-isearch xscheme
warnings unsafep trace testcover shadow scheme re-builder profiler
inf-lisp ielm comint ansi-color ring gmm-utils ert pp find-func ewoc
debug elp edebug cl-indent cus-edit cus-start cus-load wid-edit vc-git
diff-mode filecache map server time-date noutline outline easy-mmode
flyspell ispell checkdoc thingatpt help-mode load-dir elec-pair reveal
autoinsert proof-site proof-autoloads cl pg-vars savehist minibuf-eldef
disp-table compact-docstrings kotl-loaddefs advice info
realgud-recursive-autoloads finder-inf url-auth package easymenu
epg-config url-handlers url-parse auth-source eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib bbdb-autoloads mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 8 229863 26761)
 (symbols 24 28561 0) (miscs 20 6691 1319) (strings 16 68847 5556)
 (string-bytes 1 2027719)
 (vectors 8 38247) (vector-slots 4 1585708 54106) (floats 8 667 649)
 (intervals 28 8528 944)
 (buffers 520 29))




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27581; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.